Bug 12726 - Document should be on the Note-track
Summary: Document should be on the Note-track
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 alt techniques (editor: Steven Faulkner) (show other bugs)
Version: unspecified
Hardware: PC Linux
: P2 normal
Target Milestone: ---
Assignee: Shane McCarron
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: a11y, a11y_text-alt
Depends on:
Blocks:
 
Reported: 2011-05-23 21:08 UTC by Sam Ruby
Modified: 2015-01-29 19:38 UTC (History)
12 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Ruby 2011-05-23 21:08:41 UTC
Bug entered on behalf of Lachlan Hunt:

I object to this document being on the Rec-track. These are
guidelines, and as such, they should be non-normative descriptions
referring to the normative requirements in the HTML specification
itself. If this document is to be published, it should instead be
on the Note-track.

---

http://lists.w3.org/Archives/Public/www-archive/2011May/0051.html
Comment 1 Paul Cotton 2011-05-31 19:48:23 UTC
I do NOT believe the Normativity of a specification is necesarily the test of whether it should be on the Recommendation track or not.  The real test for me is if the owning WG plans to maintain the specification or not.

See Section 7.5 "Ending Work on a Technical Report":
http://www.w3.org/2005/10/Process-20051014/process.html#tr-end 

For example the XML Schema Primer is a W3C Recommendation but obviously that specification does not contain normative text. 

See XML Schema Primer 2nd Edition as proof that the XML Schema WG actively maintained this specification:
http://www.w3.org/TR/2004/REC-xmlschema-0-20041028/ 

On the other hand the WS-Policy Primer was published as a WG Note since that WG explicitly decided it did NOT want to maintain the specification:
http://www.w3.org/TR/2007/NOTE-ws-policy-primer-20071112/ 

/paulc
Comment 2 steve faulkner 2011-06-03 09:36:42 UTC
(In reply to comment #0)
> Bug entered on behalf of Lachlan Hunt:
> 
> I object to this document being on the Rec-track. These are
> guidelines, and as such, they should be non-normative descriptions
> referring to the normative requirements in the HTML specification
> itself. If this document is to be published, it should instead be
> on the Note-track.
> 
> ---
> 
> http://lists.w3.org/Archives/Public/www-archive/2011May/0051.html

As noted, there is no such distinction such as a note track and rec track based on whether a document contains normative requirements or not, it is appropriate to be considered a recommendation if there is an intention that the document is to be evolved over time, rather than written and then left to go stale. The alt spec is definitley a document that is written to provide current best practice and authoring requirements based on the realities of browser and assistive technology support for HTML features and as such will require updating on a regular basis and that is the intention.
Comment 3 Sam Ruby 2011-06-03 17:36:23 UTC
Lachlan, as this has been RESOLVED WONTFIX, I encourage you to either:

a) Mark this as TrackerIssue so that we can proceed to call for proposals.

b) Voluntarily withdraw the corresponding Formal Objection.
Comment 4 Michael[tm] Smith 2011-08-04 05:08:37 UTC
mass-move component to LC1
Comment 5 Sam Ruby 2013-02-05 15:46:28 UTC
Reopening based on http://lists.w3.org/Archives/Public/public-html-admin/2013Jan/0002.html .  Steve: feel free to re-resolve if/when you feel the document is ready to proceed.
Comment 6 Shane McCarron 2015-01-29 19:38:25 UTC
This document is now Note Track.